SessionControllerIPAddress Method |
POST /Session/IPAddress/{id}
Sets the IP address which should be associated with the specified session.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("IPAddress")]
public HttpResponseMessage IPAddress(
Guid id,
[FromBodyAttribute] string ipAddress,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("IPAddress")>
Public Function IPAddress (
id As Guid,
<FromBodyAttribute> ipAddress As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"IPAddress")]
HttpResponseMessage^ IPAddress(
Guid id,
[FromBodyAttribute] String^ ipAddress,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("IPAddress")>]
member IPAddress :
id : Guid *
[<FromBodyAttribute>] ipAddress : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the session. - ipAddress
- Type: SystemString
The IP address. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of a session with administrative privileges.
Return Value
Type:
HttpResponseMessageA status code indicating success or the reason for failure.
See Also